View Issue Details

IDProjectCategoryView StatusLast Update
0004224unrealircdpublic2015-06-15 12:19
ReporterquoraAssigned Totmcarthur 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.4-alpha1 
Target VersionFixed in Version3.4-alpha4 
Summary0004224: CHGHOST does not give any feedback to the user or oper when executed
DescriptionVhosts changed by services do send back a line confirming the change, should be trivial to add a fix to have CHGHOST do the same for opers.
Steps To Reproduce1. Connect
2. Oper up
3. CHGHOST $your_nick test.vhost
4. No acknowledgement to you
TagsNo tags attached.
3rd party modules

Activities

Stealth

2013-06-26 00:42

reporter   ~0017714

What would you suggest for feedback?

Some (decent) ways I thought of:
- NOTICE
- Some odd numeric (maybe USERHOST?)
- Sending WHOIS automatically for the target user

Though if you have set::allow-userhost-change as "force-rejoin" you would see the user rejoin all channels after a successful CHGHOST

quora

2013-06-26 01:56

reporter   ~0017715

I was thinking more of how Chary handles it, with a 398 (or whatever) numeric sent to the user on the change. It also plays nice with most clients to do that.

Zoddo

2015-05-27 20:18

reporter   ~0018370

https://github.com/unrealircd/unrealircd/pull/27

syzop

2015-06-15 12:18

administrator   ~0018392

Thanks for the suggestion.

Merge pull request #27 from Zoddo/numeric-396
Send RPL_HOSTHIDDEN on host changes
https://github.com/unrealircd/unrealircd/commit/d1b3cb96bc8777a705b60afc528c556d853e43e0

Issue History

Date Modified Username Field Change
2013-06-23 00:12 quora New Issue
2013-06-26 00:42 Stealth Note Added: 0017714
2013-06-26 00:42 Stealth Status new => feedback
2013-06-26 01:56 quora Note Added: 0017715
2014-03-14 01:14 peterkingalexander Issue cloned: 0004297
2015-05-27 20:18 Zoddo Note Added: 0018370
2015-06-15 12:18 syzop Note Added: 0018392
2015-06-15 12:18 syzop Status feedback => resolved
2015-06-15 12:18 syzop Fixed in Version => 3.4-alpha4
2015-06-15 12:18 syzop Resolution open => fixed
2015-06-15 12:18 syzop Assigned To => tmcarthur